# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopAccountMove(models.Model):
    _inherit = "account.move"

    bordereau_id = fields.Many2one(
        comodel_name="scop.bordereau",
        string="Bordereau de rattachement",
        ondelete="cascade",
        required=False,
    )
    cotisation_cg_id = fields.Many2one(related="bordereau_id.base_cotisation_cg")
    amount_cg_calculated = fields.Monetary(
        string="Montant cotisation annuel",
        currency_field="company_currency_id",
        readonly=True,
    )
    nb_quarter = fields.Selection(related="bordereau_id.nb_quarter")
    cotiz_quarter = fields.Selection(
        string="Trimestre",
        selection=[("1", "1"), ("2", "2"), ("3", "3"), ("4", "4")],
        required=False,
    )

    # ------------------------------------------------------
    # Compute fields
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Override parent
    # ------------------------------------------------------

    # ------------------------------------------------------
    # Global functions
    # ------------------------------------------------------
    def view_cotiz(self):
        form_view = self.env.ref(
            "cgscop_cotisation_cg.invoice_form_scop_cg_inherited"
        ).id
        return {
            "name": "Cotisation",
            "type": "ir.actions.act_window",
            "res_model": "account.invoice",
            "views": [[form_view, "form"]],
            "res_id": self.id,
            "target": "current",
        }
