# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

import logging

from odoo import fields, models

_logger = logging.getLogger(__name__)


class ScopCotisation(models.Model):
    _name = "scop.cotisation.cg.simulation"
    _description = "Simulation cotisations CG"

    cotisation_id = fields.Many2one(
        comodel_name="scop.cotisation.cg",
    )

    file = fields.Binary("Fichier")
    filename = fields.Char()
    type_simul = fields.Selection(
        selection=[
            ("all", "Toutes les cotisation"),
            ("cgscop", "Cotisations CG Scop"),
        ],
        string="Type de simulation",
    )
    total_member = fields.Integer("Nombre Adhérents")
    total_cg = fields.Float("Total CG Scop")
    total_hdf = fields.Float("Total UR HDF")
    total_med = fields.Float("Total UR Med")
    total_com = fields.Float("Total Fédération Com")
    total_cae = fields.Float("Total Fédération CAE")

    def get_simul_file(self):
        return {
            "type": "ir.actions.act_url",
            "name": "simulation",
            "url": "/web/content/scop.cotisation.cg.simulation/%s/file/%s?download=true"
            % (self.id, self.filename),
        }
